POST api/Zapier/InsertServiceRequestsAddressChanges
Insert service request address change.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsAddressChangesModel| Name | Description | Type | Additional information |
|---|---|---|---|
| new_address | string |
None. |
|
| due_date | string |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"new_address": "sample string 1",
"due_date": "sample string 2",
"description": "sample string 3",
"status": "sample string 4",
"insured_id": "12c7ca25-7f85-400e-8bd7-6d8fe0fdc5aa",
"insured_name": "sample string 5",
"insured_email": "sample string 6",
"insured_phone": "sample string 7",
"policy_number": "sample string 8",
"stage": "sample string 9",
"custom_type": "sample string 10",
"request_database_id": "0ba87ea1-5809-4ace-869b-7522cc93b717",
"policy_database_id": [
"e278e153-a2e1-433d-9871-117ccfd6bb58",
"25804765-670c-4682-af9b-b4904840c4fa"
],
"agent_database_id": [
"0a6f3019-ee4a-413c-8454-3029654c34a4",
"146b4e16-5ffa-4409-9909-7519cd49e624"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsAddressChangesModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>0a6f3019-ee4a-413c-8454-3029654c34a4</d2p1:guid>
<d2p1:guid>146b4e16-5ffa-4409-9909-7519cd49e624</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">12c7ca25-7f85-400e-8bd7-6d8fe0fdc5aa</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>e278e153-a2e1-433d-9871-117ccfd6bb58</d2p1:guid>
<d2p1:guid>25804765-670c-4682-af9b-b4904840c4fa</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">0ba87ea1-5809-4ace-869b-7522cc93b717</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
<DueDate>sample string 2</DueDate>
<NewAddress>sample string 1</NewAddress>
</ServiceRequestsAddressChangesModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "f047cf17-6735-48cf-8683-65fc8b17dcd7",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>f047cf17-6735-48cf-8683-65fc8b17dcd7</DatabaseId> </NowCertsApiResultWithDatabaseId>